
enum ContentBlock: String, CaseIterable {

    case audio

    case swift

    var processor: BlockProcessor.Type {
        switch self {
        case .audio: return AudioBlockProcessor.self
        case .swift: return SwiftBlockProcessor.self
        }
    }
}
